Re: [Qemu-devel] [PATCH v8 02/16] iotests: Add test for eject under NBD server

2016-01-29 Thread Max Reitz
On 27.01.2016 21:56, Eric Blake wrote:
> On 01/27/2016 10:59 AM, Max Reitz wrote:
>> This patch adds a test for ejecting the BlockBackend an NBD server is
>> connected to (the NBD server is supposed to stop).
>>
>> Signed-off-by: Max Reitz 
>> ---
>>  tests/qemu-iotests/140 | 92 
>> ++
>>  tests/qemu-iotests/140.out | 16 
>>  tests/qemu-iotests/group   |  1 +
>>  3 files changed, 109 insertions(+)
>>  create mode 100755 tests/qemu-iotests/140
>>  create mode 100644 tests/qemu-iotests/140.out
>>
>> diff --git a/tests/qemu-iotests/140 b/tests/qemu-iotests/140
>> new file mode 100755
>> index 000..3434997
>> --- /dev/null
>> +++ b/tests/qemu-iotests/140
>> @@ -0,0 +1,92 @@
>> +#!/bin/bash
>> +#
>> +# Test case for ejecting a BB with an NBD server attached to it
>> +#
>> +# Copyright (C) 2015 Red Hat, Inc.
> 
> Do you want to add 2016 now?

Or just replace it; yes, I probably do. :-)

Max



signature.asc
Description: OpenPGP digital signature


[Qemu-devel] [PATCH v8 02/16] iotests: Add test for eject under NBD server

2016-01-27 Thread Max Reitz
This patch adds a test for ejecting the BlockBackend an NBD server is
connected to (the NBD server is supposed to stop).

Signed-off-by: Max Reitz 
---
 tests/qemu-iotests/140 | 92 ++
 tests/qemu-iotests/140.out | 16 
 tests/qemu-iotests/group   |  1 +
 3 files changed, 109 insertions(+)
 create mode 100755 tests/qemu-iotests/140
 create mode 100644 tests/qemu-iotests/140.out

diff --git a/tests/qemu-iotests/140 b/tests/qemu-iotests/140
new file mode 100755
index 000..3434997
--- /dev/null
+++ b/tests/qemu-iotests/140
@@ -0,0 +1,92 @@
+#!/bin/bash
+#
+# Test case for ejecting a BB with an NBD server attached to it
+#
+# Copyright (C) 2015 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see .
+#
+
+# creator
+owner=mre...@redhat.com
+
+seq="$(basename $0)"
+echo "QA output created by $seq"
+
+here="$PWD"
+tmp=/tmp/$$
+status=1   # failure is the default!
+
+_cleanup()
+{
+_cleanup_test_img
+rm -f "$TEST_DIR/nbd"
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.qemu
+
+_supported_fmt generic
+_supported_proto file
+_supported_os Linux
+
+_make_test_img 64k
+
+$QEMU_IO -c 'write -P 42 0 64k' "$TEST_IMG" | _filter_qemu_io
+
+keep_stderr=y \
+_launch_qemu -drive if=ide,media=cdrom,id=drv,file="$TEST_IMG",format=$IMGFMT \
+2> >(_filter_nbd)
+
+_send_qemu_cmd $QEMU_HANDLE \
+"{ 'execute': 'qmp_capabilities' }" \
+'return'
+
+_send_qemu_cmd $QEMU_HANDLE \
+"{ 'execute': 'nbd-server-start',
+   'arguments': { 'addr': { 'type': 'unix',
+'data': { 'path': '$TEST_DIR/nbd' " \
+'return'
+
+_send_qemu_cmd $QEMU_HANDLE \
+"{ 'execute': 'nbd-server-add',
+   'arguments': { 'device': 'drv' }}" \
+'return'
+
+$QEMU_IO_PROG -f raw -c 'read -P 42 0 64k' \
+"nbd+unix:///drv?socket=$TEST_DIR/nbd" 2>&1 \
+| _filter_qemu_io | _filter_nbd
+
+_send_qemu_cmd $QEMU_HANDLE \
+"{ 'execute': 'eject',
+   'arguments': { 'device': 'drv' }}" \
+'return'
+
+$QEMU_IO_PROG -f raw -c close \
+"nbd+unix:///drv?socket=$TEST_DIR/nbd" 2>&1 \
+| _filter_qemu_io | _filter_nbd
+
+_send_qemu_cmd $QEMU_HANDLE \
+"{ 'execute': 'quit' }" \
+'return'
+
+wait=1 _cleanup_qemu
+
+# success, all done
+echo '*** done'
+rm -f $seq.full
+status=0
diff --git a/tests/qemu-iotests/140.out b/tests/qemu-iotests/140.out
new file mode 100644
index 000..fdedeb3
--- /dev/null
+++ b/tests/qemu-iotests/140.out
@@ -0,0 +1,16 @@
+QA output created by 140
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=65536
+wrote 65536/65536 bytes at offset 0
+64 KiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+{"return": {}}
+{"return": {}}
+{"return": {}}
+read 65536/65536 bytes at offset 0
+64 KiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+{"timestamp": {"seconds":  TIMESTAMP, "microseconds":  TIMESTAMP}, "event": 
"DEVICE_TRAY_MOVED", "data": {"device": "drv", "tray-open": true}}
+{"return": {}}
+can't open device nbd+unix:///drv?socket=TEST_DIR/nbd: Failed to read export 
length
+no file open, try 'help open'
+{"return": {}}
+{"timestamp": {"seconds":  TIMESTAMP, "microseconds":  TIMESTAMP}, "event": 
"SHUTDOWN"}
+*** done
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
index ac6a959..ff1ff0d 100644
--- a/tests/qemu-iotests/group
+++ b/tests/qemu-iotests/group
@@ -141,5 +141,6 @@
 137 rw auto
 138 rw auto quick
 139 rw auto quick
+140 rw auto quick
 142 auto
 143 auto quick
-- 
2.7.0




Re: [Qemu-devel] [PATCH v8 02/16] iotests: Add test for eject under NBD server

2016-01-27 Thread Eric Blake
On 01/27/2016 10:59 AM, Max Reitz wrote:
> This patch adds a test for ejecting the BlockBackend an NBD server is
> connected to (the NBD server is supposed to stop).
> 
> Signed-off-by: Max Reitz 
> ---
>  tests/qemu-iotests/140 | 92 
> ++
>  tests/qemu-iotests/140.out | 16 
>  tests/qemu-iotests/group   |  1 +
>  3 files changed, 109 insertions(+)
>  create mode 100755 tests/qemu-iotests/140
>  create mode 100644 tests/qemu-iotests/140.out
> 
> diff --git a/tests/qemu-iotests/140 b/tests/qemu-iotests/140
> new file mode 100755
> index 000..3434997
> --- /dev/null
> +++ b/tests/qemu-iotests/140
> @@ -0,0 +1,92 @@
> +#!/bin/bash
> +#
> +# Test case for ejecting a BB with an NBD server attached to it
> +#
> +# Copyright (C) 2015 Red Hat, Inc.

Do you want to add 2016 now?

-- 
Eric Blake   eblake redhat com+1-919-301-3266
Libvirt virtualization library http://libvirt.org



signature.asc
Description: OpenPGP digital signature


Re: [Qemu-devel] [PATCH v8 02/16] iotests: Add test for eject under NBD server

2016-01-27 Thread Fam Zheng
On Wed, 01/27 18:59, Max Reitz wrote:
> This patch adds a test for ejecting the BlockBackend an NBD server is
> connected to (the NBD server is supposed to stop).
> 
> Signed-off-by: Max Reitz 
> ---
>  tests/qemu-iotests/140 | 92 
> ++
>  tests/qemu-iotests/140.out | 16 
>  tests/qemu-iotests/group   |  1 +
>  3 files changed, 109 insertions(+)
>  create mode 100755 tests/qemu-iotests/140
>  create mode 100644 tests/qemu-iotests/140.out
> 
> diff --git a/tests/qemu-iotests/140 b/tests/qemu-iotests/140
> new file mode 100755
> index 000..3434997
> --- /dev/null
> +++ b/tests/qemu-iotests/140
> @@ -0,0 +1,92 @@
> +#!/bin/bash
> +#
> +# Test case for ejecting a BB with an NBD server attached to it
> +#
> +# Copyright (C) 2015 Red Hat, Inc.
> +#
> +# This program is free software; you can redistribute it and/or modify
> +# it under the terms of the GNU General Public License as published by
> +# the Free Software Foundation; either version 2 of the License, or
> +# (at your option) any later version.
> +#
> +# This program is distributed in the hope that it will be useful,
> +# but WITHOUT ANY WARRANTY; without even the implied warranty of
> +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> +# GNU General Public License for more details.
> +#
> +# You should have received a copy of the GNU General Public License
> +# along with this program.  If not, see .
> +#
> +
> +# creator
> +owner=mre...@redhat.com
> +
> +seq="$(basename $0)"
> +echo "QA output created by $seq"
> +
> +here="$PWD"
> +tmp=/tmp/$$
> +status=1 # failure is the default!
> +
> +_cleanup()
> +{
> +_cleanup_test_img
> +rm -f "$TEST_DIR/nbd"
> +}
> +trap "_cleanup; exit \$status" 0 1 2 3 15
> +
> +# get standard environment, filters and checks
> +. ./common.rc
> +. ./common.filter
> +. ./common.qemu
> +
> +_supported_fmt generic
> +_supported_proto file
> +_supported_os Linux
> +
> +_make_test_img 64k
> +
> +$QEMU_IO -c 'write -P 42 0 64k' "$TEST_IMG" | _filter_qemu_io
> +
> +keep_stderr=y \
> +_launch_qemu -drive 
> if=ide,media=cdrom,id=drv,file="$TEST_IMG",format=$IMGFMT \
> +2> >(_filter_nbd)
> +
> +_send_qemu_cmd $QEMU_HANDLE \
> +"{ 'execute': 'qmp_capabilities' }" \
> +'return'
> +
> +_send_qemu_cmd $QEMU_HANDLE \
> +"{ 'execute': 'nbd-server-start',
> +   'arguments': { 'addr': { 'type': 'unix',
> +'data': { 'path': '$TEST_DIR/nbd' " \
> +'return'
> +
> +_send_qemu_cmd $QEMU_HANDLE \
> +"{ 'execute': 'nbd-server-add',
> +   'arguments': { 'device': 'drv' }}" \
> +'return'
> +
> +$QEMU_IO_PROG -f raw -c 'read -P 42 0 64k' \
> +"nbd+unix:///drv?socket=$TEST_DIR/nbd" 2>&1 \
> +| _filter_qemu_io | _filter_nbd
> +
> +_send_qemu_cmd $QEMU_HANDLE \
> +"{ 'execute': 'eject',
> +   'arguments': { 'device': 'drv' }}" \
> +'return'
> +
> +$QEMU_IO_PROG -f raw -c close \
> +"nbd+unix:///drv?socket=$TEST_DIR/nbd" 2>&1 \
> +| _filter_qemu_io | _filter_nbd
> +
> +_send_qemu_cmd $QEMU_HANDLE \
> +"{ 'execute': 'quit' }" \
> +'return'
> +
> +wait=1 _cleanup_qemu
> +
> +# success, all done
> +echo '*** done'
> +rm -f $seq.full
> +status=0
> diff --git a/tests/qemu-iotests/140.out b/tests/qemu-iotests/140.out
> new file mode 100644
> index 000..fdedeb3
> --- /dev/null
> +++ b/tests/qemu-iotests/140.out
> @@ -0,0 +1,16 @@
> +QA output created by 140
> +Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=65536
> +wrote 65536/65536 bytes at offset 0
> +64 KiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
> +{"return": {}}
> +{"return": {}}
> +{"return": {}}
> +read 65536/65536 bytes at offset 0
> +64 KiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
> +{"timestamp": {"seconds":  TIMESTAMP, "microseconds":  TIMESTAMP}, "event": 
> "DEVICE_TRAY_MOVED", "data": {"device": "drv", "tray-open": true}}
> +{"return": {}}
> +can't open device nbd+unix:///drv?socket=TEST_DIR/nbd: Failed to read export 
> length
> +no file open, try 'help open'
> +{"return": {}}
> +{"timestamp": {"seconds":  TIMESTAMP, "microseconds":  TIMESTAMP}, "event": 
> "SHUTDOWN"}
> +*** done
> diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
> index ac6a959..ff1ff0d 100644
> --- a/tests/qemu-iotests/group
> +++ b/tests/qemu-iotests/group
> @@ -141,5 +141,6 @@
>  137 rw auto
>  138 rw auto quick
>  139 rw auto quick
> +140 rw auto quick
>  142 auto
>  143 auto quick
> -- 
> 2.7.0
> 

Reviewed-by: Fam Zheng 

Of course, regardless of the copy right year. :)